Bug 208243 - Monodevelop not finding references
Summary: Monodevelop not finding references
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: monodevelop   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-27 10:33 UTC by Eskil Bylund
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.12-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 09:00:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eskil Bylund 2006-09-27 10:33:37 UTC
Description of problem:
When running Monodevelop on x86_64, many references are missing in the Edit
References dialog.

The bug is in /usr/bin/monodevelop, where the wrong libdir is used:

if [ -n $PKG_CONFIG_PATH ]; then
        export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/lib/pkgconfig/
else
        export PKG_CONFIG_PATH=/usr/lib/pkgconfig/
fi

This is on both devel and fc5.

Comment 1 Paul F. Johnson 2006-09-27 17:37:00 UTC
FC-5 is fine, it should be like that (for now). I'll have to check on the
rawhide one.

Comment 2 Eskil Bylund 2006-09-27 18:07:42 UTC
No, pkgconfig uses %{_libdir} on fc5, so the PKG_CONFIG_PATH is wrong.

$ rpm -ql pkgconfig
/usr/lib64/pkgconfig
...

$ rpm -ql gtk-sharp2
/usr/lib64/pkgconfig/gtk-sharp-2.0.pc
...

Comment 3 Paul F. Johnson 2006-09-27 19:10:38 UTC
Unless something has happened on FC-5 and the version is no longer 1.1.13-x,
then *everything* goes to /usr/lib irrespective of architecture. 

If you look at the pkgconfig file in /usr/lib64 for gtk-sharp-2.0.pc, you'll see
it points to /usr/lib (or more accurately, ${exec_prefix}/lib).

This means that where things point to on monodevelop for /usr/lib is correct.
It's wrong on rawhide/FC6 which is what I'll need to fix tonight.

Comment 4 Toshio Kuratomi 2006-09-27 19:17:50 UTC
But the pkgconfig files themselves go in /usr/lib64/pkgconfig.  So
PKG_CONFIG_PATH needs to point to /usr/lib64/pkgconfig

man pkg-config::

       PKG_CONFIG_PATH
              A colon-separated  (on  Windows,  semicolon-separated)  list  of
              directories to search for .pc files.

Comment 5 Paul F. Johnson 2006-09-27 19:19:16 UTC
Ah, right...


Note You need to log in before you can comment on or make changes to this bug.